import React from 'react';

class PreloadContext extends React.Component {

  static childContextTypes = {
    preload: React.PropTypes.bool
  }

  getChildContext() {
    return { preload: typeof this.props.preload === 'boolean' ? this.props.preload : true };
  }

  render() {
    return this.props.children;
  }

}

export default PreloadContext;