'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function preload(Component) {
  if (!('contextTypes' in Component)) {
    Component.contextTypes = {};
  }
  Object.assign(Component.contextTypes, {
    preload: _react2.default.PropTypes.bool
  });
  var _componentWillMount = Component.prototype.componentWillMount;
  Component.prototype.componentWillMount = function componentWillMount() {
    if (this.context.preload === true && typeof this.preload === 'function') {
      this.preload.apply(this, arguments);
    }
    if (typeof _componentWillMount === 'function') {
      _componentWillMount.apply(this, arguments);
    }
  };
}

exports.default = preload;